Browse Source

Sync with portage [Mon Apr 26 10:18:31 MSK 2021].

master 1949
Calculate Linux 1 year ago
parent
commit
685f110a8c
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. 0
      acct-group/svxlink/Manifest
  4. 8
      acct-group/svxlink/metadata.xml
  5. 9
      acct-group/svxlink/svxlink-0.ebuild
  6. BIN
      acct-user/Manifest.gz
  7. 0
      acct-user/svxlink/Manifest
  8. 8
      acct-user/svxlink/metadata.xml
  9. 12
      acct-user/svxlink/svxlink-0.ebuild
  10. BIN
      app-admin/Manifest.gz
  11. 2
      app-admin/exo/Manifest
  12. 0
      app-admin/exo/exo-1.28.0.ebuild
  13. BIN
      app-crypt/Manifest.gz
  14. 1
      app-crypt/libnitrokey/Manifest
  15. 18
      app-crypt/libnitrokey/files/libnitrokey-3.5-tests-version-gitless.patch
  16. 49
      app-crypt/libnitrokey/libnitrokey-3.5.ebuild
  17. BIN
      app-eselect/Manifest.gz
  18. 2
      app-eselect/eselect-ctags/eselect-ctags-1.18.ebuild
  19. 2
      app-eselect/eselect-emacs/eselect-emacs-1.18.ebuild
  20. 2
      app-eselect/eselect-infinality/Manifest
  21. 27
      app-eselect/eselect-infinality/eselect-infinality-1-r1.ebuild
  22. 27
      app-eselect/eselect-infinality/eselect-infinality-1.1.ebuild
  23. 12
      app-eselect/eselect-infinality/metadata.xml
  24. 1
      app-eselect/eselect-lcdfilter/Manifest
  25. 34
      app-eselect/eselect-lcdfilter/eselect-lcdfilter-2.ebuild
  26. 12
      app-eselect/eselect-lcdfilter/metadata.xml
  27. BIN
      app-forensics/Manifest.gz
  28. 11
      app-forensics/aflplusplus/aflplusplus-3.12c-r1.ebuild
  29. BIN
      dev-db/Manifest.gz
  30. 1
      dev-db/myodbc/Manifest
  31. 122
      dev-db/myodbc/myodbc-8.0.24.ebuild
  32. 1
      dev-db/mysql-connector-c++/Manifest
  33. 44
      dev-db/mysql-connector-c++/mysql-connector-c++-8.0.24.ebuild
  34. 1
      dev-db/mysql-connector-c/Manifest
  35. 120
      dev-db/mysql-connector-c/mysql-connector-c-8.0.24.ebuild
  36. 4
      dev-db/mysql/Manifest
  37. 1244
      dev-db/mysql/mysql-5.7.34.ebuild
  38. 1162
      dev-db/mysql/mysql-8.0.24.ebuild
  39. BIN
      dev-java/Manifest.gz
  40. 1
      dev-java/commons-net/Manifest
  41. 40
      dev-java/commons-net/commons-net-3.2.ebuild
  42. 2
      dev-java/commons-net/commons-net-3.8.0.ebuild
  43. 285
      dev-java/commons-net/files/commons-net-3.2-build.xml
  44. 3
      dev-java/maven-bin/Manifest
  45. 59
      dev-java/maven-bin/maven-bin-3.1.1-r1.ebuild
  46. 58
      dev-java/maven-bin/maven-bin-3.2.5-r1.ebuild
  47. 59
      dev-java/maven-bin/maven-bin-3.3.9-r1.ebuild
  48. BIN
      dev-lang/Manifest.gz
  49. 4
      dev-lang/spidermonkey/Manifest
  50. 2
      dev-lang/spidermonkey/spidermonkey-78.10.0.ebuild
  51. 439
      dev-lang/spidermonkey/spidermonkey-78.9.0.ebuild
  52. BIN
      dev-libs/Manifest.gz
  53. 1
      dev-libs/libedit/Manifest
  54. 43
      dev-libs/libedit/libedit-20210419.3.1.ebuild
  55. 50
      dev-perl/Crypt-SSLeay/Crypt-SSLeay-0.720.0-r4.ebuild
  56. BIN
      dev-perl/Manifest.gz
  57. 26
      dev-perl/Net-Jabber/Net-Jabber-2.0.0-r2.ebuild
  58. 19
      dev-perl/Net-Jabber/files/Net-Jabber-2.0-hash.patch
  59. 8
      dev-perl/ORLite/ORLite-1.980.0-r1.ebuild
  60. 44
      dev-perl/ORLite/files/ORLite-1.98-vacuum.patch
  61. 1
      dev-perl/Proc-Background/Manifest
  62. 19
      dev-perl/Proc-Background/Proc-Background-1.210.0.ebuild
  63. BIN
      dev-python/Manifest.gz
  64. 1
      dev-python/Rx/Manifest
  65. 32
      dev-python/Rx/Rx-3.2.0.ebuild
  66. 3
      dev-python/Rx/metadata.xml
  67. 1
      dev-python/aiorpcX/Manifest
  68. 36
      dev-python/aiorpcX/aiorpcX-0.22.0.ebuild
  69. 1
      dev-python/arpeggio/Manifest
  70. 33
      dev-python/arpeggio/arpeggio-1.10.2.ebuild
  71. 3
      dev-python/arpeggio/metadata.xml
  72. 1
      dev-python/astroid/Manifest
  73. 47
      dev-python/astroid/astroid-2.5.6.ebuild
  74. 1
      dev-python/deepmerge/Manifest
  75. 24
      dev-python/deepmerge/deepmerge-0.3.0.ebuild
  76. 1
      dev-python/mysql-connector-python/Manifest
  77. 53
      dev-python/mysql-connector-python/mysql-connector-python-8.0.24.ebuild
  78. 2
      dev-python/pygame/pygame-2.0.1-r1.ebuild
  79. 1
      dev-python/pylint/Manifest
  80. 63
      dev-python/pylint/pylint-2.8.1.ebuild
  81. 1
      dev-python/pytools/Manifest
  82. 24
      dev-python/pytools/pytools-2021.2.6.ebuild
  83. 1
      dev-python/unidiff/Manifest
  84. 16
      dev-python/unidiff/metadata.xml
  85. 20
      dev-python/unidiff/unidiff-0.6.0.ebuild
  86. BIN
      dev-tex/Manifest.gz
  87. 2
      dev-tex/tex4ht/Manifest
  88. 10
      dev-tex/tex4ht/tex4ht-20090611_p1038-r11.ebuild
  89. 42
      dev-tex/tex4ht/tex4ht-20090611_p1038_p20210423.ebuild
  90. BIN
      dev-util/Manifest.gz
  91. 1
      dev-util/buildbot-badges/Manifest
  92. 38
      dev-util/buildbot-badges/buildbot-badges-3.1.0.ebuild
  93. 1
      dev-util/buildbot-console-view/Manifest
  94. 37
      dev-util/buildbot-console-view/buildbot-console-view-3.1.0.ebuild
  95. 1
      dev-util/buildbot-grid-view/Manifest
  96. 37
      dev-util/buildbot-grid-view/buildbot-grid-view-3.1.0.ebuild
  97. 1
      dev-util/buildbot-pkg/Manifest
  98. 27
      dev-util/buildbot-pkg/buildbot-pkg-3.1.0.ebuild
  99. 1
      dev-util/buildbot-waterfall-view/Manifest
  100. 34
      dev-util/buildbot-waterfall-view/buildbot-waterfall-view-3.1.0.ebuild

BIN
Manifest.files.gz

BIN
acct-group/Manifest.gz

0
acct-group/svxlink/Manifest

8
acct-group/svxlink/metadata.xml

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>tomjbe@gentoo.org</email>
<name>Thomas Beierlein</name>
</maintainer>
</pkgmetadata>

9
acct-group/svxlink/svxlink-0.ebuild

@ -0,0 +1,9 @@
# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
DESCRIPTION="A group for the svxlink server"
ACCT_GROUP_ID=247

BIN
acct-user/Manifest.gz

0
acct-user/svxlink/Manifest

8
acct-user/svxlink/metadata.xml

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>tomjbe@gentoo.org</email>
<name>Thomas Beierlein</name>
</maintainer>
</pkgmetadata>

12
acct-user/svxlink/svxlink-0.ebuild

@ -0,0 +1,12 @@
# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="A user for the svxlink server"
ACCT_USER_ID=247
ACCT_USER_GROUPS=( svxlink )
acct-user_add_deps

BIN
app-admin/Manifest.gz

2
app-admin/exo/Manifest

@ -1 +1 @@
DIST exo-1.27.2.tar.gz 5347725 BLAKE2B a66c311ae9cbe30f6998151fa8fe3006dd332c60fff80a28b388e92d0a8db2a44bc7ad053dbc500b8f19636e06feaac4d42811bf221d88ed6a7d7855af5aba17 SHA512 690b7e19309a03901f56a9987696ea66952a0febf6c7b1dc99e8e0f323ab2985a49aa87ea2e2469d039d583d8232d56ebb4aa203d3f8193453f479e9d68911ce
DIST exo-1.28.0.tar.gz 5346766 BLAKE2B 87401170b6ccbeaa81da1c5f65cb4cbab9531d340f367c0489c3a1d9a2c2fbcc534369c5a9322051e61c8ca55c58548c07442bf5d40d995113b032e71e9224e1 SHA512 21edbfc9161444582e2f6e19ee51c5c56f4b9c0dc9e38655557753510919fb5066d647d20a687b9f6c5286eabe0394864a140358864e646faae70bab8b6fc410

0
app-admin/exo/exo-1.27.2.ebuild → app-admin/exo/exo-1.28.0.ebuild

BIN
app-crypt/Manifest.gz

1
app-crypt/libnitrokey/Manifest

@ -1,2 +1 @@
DIST libnitrokey-3.5.tar.gz 94356 BLAKE2B 9e53213f309e903d26e0e8e01ab213d6bc42c5b8d720e4b19f27adb607f20ad0c6e1707bf7b55c525efbd6a4fbf7b9c87983decf6b05dab7d03701ae0ea8277f SHA512 d2a95071e92d839c8cde4ac1435158bb469c25662f2988a4e824dbc0dfe83af841e6d04589293deddd77746dbec17b30c50fab69af58cc727ed5e0f2dbd0b5e7
DIST libnitrokey-3.6.tar.gz 98038 BLAKE2B 27f99e7b6de93548fc7a373f37ce784da0aa50503a5c635b4d90282e6330a5ff4c0dcc03a83a7e57045b8a1aabaab27d76a090d7c49693a6ff1037b81e75ece9 SHA512 a00a6724e5c64715eca688ec254efd979acceb5ff4cad28a205f7128e44db8674a5924634fd7da6c69d589deafca7b28b99e1d05a244c321d5cb429f2e5a3bec

18
app-crypt/libnitrokey/files/libnitrokey-3.5-tests-version-gitless.patch

@ -1,18 +0,0 @@
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -129,7 +129,14 @@
ERROR_QUIET
)
ENDIF()
-IF((NOT ${ADD_GIT_INFO}) OR (${PROJECT_VERSION_GIT_RETURN_CODE}))
+# the version.h generation logic is tricky in a number of ways:
+# 1. git describe on a release tarball will always fail with
+# a non-zero return code, usually 128
+# 2. If git is not installed, PROJECT_VERSION_GIT_RETURN_CODE
+# will contain the string 'No such file or directory'
+# Hence fallback to PROJECT_VERSION when the return code is NOT 0.
+IF((NOT ${ADD_GIT_INFO}) OR (NOT ${PROJECT_VERSION_GIT_RETURN_CODE} STREQUAL "0"))
+ MESSAGE(STATUS "Setting fallback Git library version")
SET(PROJECT_VERSION_GIT "v${PROJECT_VERSION}")
ENDIF()
MESSAGE(STATUS "Setting Git library version to: " ${PROJECT_VERSION_GIT} )

49
app-crypt/libnitrokey/libnitrokey-3.5.ebuild

@ -1,49 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake-utils udev
DESCRIPTION="Support library for the Nitrokey"
HOMEPAGE="https://github.com/Nitrokey/libnitrokey"
if [[ ${PV} == *9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/Nitrokey/libnitrokey.git"
# Disable pulling in bundled dependencies
EGIT_SUBMODULES=()
else
SRC_URI="https://github.com/Nitrokey/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~ppc64 x86"
fi
LICENSE="GPL-3"
SLOT="0"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-libs/hidapi:=
virtual/udev"
DEPEND="
${RDEPEND}
test? ( >=dev-cpp/catch-2.5.0:0 )"
BDEPEND="virtual/pkgconfig"
PATCHES=( "${FILESDIR}"/${PN}-3.5-tests-version-gitless.patch )
src_configure() {
local mycmakeargs=(
-DCMAKE_INSTALL_UDEVRULESDIR="$(get_udevdir)"/rules.d
# actual hardware tests
# 1. require a connected Nitrokey
# 2. may kill data on your Nitrokey
# hence the main testsuite is disabled
-DCOMPILE_TESTS=OFF
-DCOMPILE_OFFLINE_TESTS=$(usex test)
)
cmake-utils_src_configure
}

BIN
app-eselect/Manifest.gz

2
app-eselect/eselect-ctags/eselect-ctags-1.18.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
MY_P="eselect-emacs-${PV}"
DESCRIPTION="Manages ctags implementations"

2
app-eselect/eselect-emacs/eselect-emacs-1.18.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
DESCRIPTION="Manage multiple Emacs versions on one system"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs"

2
app-eselect/eselect-infinality/Manifest

@ -1,2 +0,0 @@
DIST eselect-infinality-1.1.tar.gz 8274 BLAKE2B 8bbdc7aa6966f685a73f1caecde632611b6b4455400e93f7c91e25c24fbaea97691784729ce6f08fa41f970ed999e189235a23da1d9409e24811331435987a13 SHA512 13fd5082db7739a64662a500aad6bd36e0e0c80a4042e87f077366e40bc9a2184b33f0d549fdec647694df320ba4cf1f93f77194a1d49074619e0798bd4072ef
DIST eselect-infinality-1.tar.gz 8274 BLAKE2B be4696f34c908a5e6e55546dbaf63a753e936f06074face5f8c9964f89015ee7be88c935c32d36a255c9e7ed71e967d4591ee0ad598f5cbfafc809149e728b3b SHA512 0bff25817b68125c670ffb2782704604415f233711974c47935bd5dac80b164ca471cea1fea193886b30d0eec60a4a208f0ede6bd1a40488c2458a7dd9fe127d

27
app-eselect/eselect-infinality/eselect-infinality-1-r1.ebuild

@ -1,27 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit vcs-snapshot readme.gentoo-r1
DESCRIPTION="Eselect module to choose an infinality font configuration style"
HOMEPAGE="https://github.com/yngwin/eselect-infinality"
SRC_URI="https://github.com/yngwin/eselect-infinality/tarball/v${PV} -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
RDEPEND="app-admin/eselect"
DEPEND=""
DOC_CONTENTS="Use eselect infinality to select a font configuration style.
This is supposed to be used in pair with eselect lcdfilter."
src_install() {
dodoc README.rst
readme.gentoo_create_doc
insinto "/usr/share/eselect/modules"
doins infinality.eselect
}

27
app-eselect/eselect-infinality/eselect-infinality-1.1.ebuild

@ -1,27 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit readme.gentoo-r1
DESCRIPTION="Eselect module to choose an infinality font configuration style"
HOMEPAGE="https://github.com/amadio/eselect-infinality"
SRC_URI="https://github.com/amadio/eselect-infinality/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
RDEPEND="app-admin/eselect"
DEPEND=""
DOC_CONTENTS="Use eselect infinality to select a font configuration style.
This is supposed to be used in pair with eselect lcdfilter."
src_install() {
dodoc README.rst
readme.gentoo_create_doc
insinto "/usr/share/eselect/modules"
doins infinality.eselect
}

12
app-eselect/eselect-infinality/metadata.xml

@ -1,12 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>fonts@gentoo.org</email>
<name>Fonts</name>
</maintainer>
<upstream>
<remote-id type="github">amadio/eselect-infinality</remote-id>
</upstream>
<stabilize-allarches/>
</pkgmetadata>

1
app-eselect/eselect-lcdfilter/Manifest

@ -1 +0,0 @@
DIST eselect-lcdfilter-2.tar.gz 18365 BLAKE2B 25acb2f29c3248711fbe5cfd9ba9fa7489de246ff1a4b07121d45987650e89389bb12a299520181c2012ea74fd8f4b87b8d33dcf0ab1dfea8beebb5b8928580c SHA512 e17c475c860f0a3ad7249d21ca11c52f3226852ba042b83058baf6823242c4f8be0042aad52029757944fce6d816df386b928f2005ab87e0778d3ecb26ceec92

34
app-eselect/eselect-lcdfilter/eselect-lcdfilter-2.ebuild

@ -1,34 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit vcs-snapshot readme.gentoo-r1
DESCRIPTION="Eselect module to choose Freetype infinality-enhanced LCD filtering settings"
HOMEPAGE="https://github.com/yngwin/eselect-lcdfilter"
SRC_URI="https://github.com/yngwin/eselect-lcdfilter/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
RDEPEND="app-admin/eselect"
PDEPEND="media-libs/freetype[infinality]"
DOC_CONTENTS="Use eselect lcdfilter to select an lcdfiltering font style.
You can customize ${EPREFIX}/usr/share/"${PN}"/env.d/custom with your own settings.
See ${EPREFIX}/usr/share/doc/"${PF}"/infinality-settings.sh for an explanation and
examples of the variables. This module is supposed to be used in pair with
eselect infinality."
src_install() {
dodoc README.rst infinality-settings.sh
readme.gentoo_create_doc
insinto "/usr/share/eselect/modules"
doins lcdfilter.eselect
insinto "/usr/share/${PN}"
doins -r env.d
}

12
app-eselect/eselect-lcdfilter/metadata.xml

@ -1,12 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>fonts@gentoo.org</email>
<name>Fonts</name>
</maintainer>
<upstream>
<remote-id type="github">yngwin/eselect-lcdfilter</remote-id>
</upstream>
<stabilize-allarches/>
</pkgmetadata>

BIN
app-forensics/Manifest.gz

11
app-forensics/aflplusplus/aflplusplus-3.12c.ebuild → app-forensics/aflplusplus/aflplusplus-3.12c-r1.ebuild

@ -57,6 +57,7 @@ src_prepare() {
src_compile() {
emake \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
CFLAGS_FLTO="" \
PREFIX="${EPREFIX}/usr" \
HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
@ -64,9 +65,17 @@ src_compile() {
MAN_PATH="${EPREFIX}/usr/share/man/man8"
}
src_test() {
emake \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)"
}
src_install() {
emake \
DESTDIR="${D}"
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
DESTDIR="${D}" \
PREFIX="${EPREFIX}/usr" \
HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \

BIN
dev-db/Manifest.gz

1
dev-db/myodbc/Manifest

@ -1,2 +1,3 @@
DIST mysql-connector-odbc-8.0.22-src.tar.gz 3726015 BLAKE2B 055920446767b0c9a30a0ca4773e71d662b398a9849df1a0b7975d71a21cfb23f540d8dda5430c717569f173e63673d3e51b025bb098e51202093d33e19bc142 SHA512 c613ae60346cea2e57bade89d813fd5ac21d0712d3d751e3acbc275421da6ac7593afc3da9fb6d161ee413f60e76e670f0c84876591f331925c980d969db4e8c
DIST mysql-connector-odbc-8.0.23-src.tar.gz 3726277 BLAKE2B 21b5e6f3f7e77d6107268800441675a230c79071e52db39093fade6e02031c12c96371d165af9459e9739e069e5b4196f0169dff54c0fa300e7a3023e8a82722 SHA512 2f66b5e1796176d638b1209b7d3381c2600a11cc88fa0dfb1f29b16a6c59386926674d5581d4843036d061af09312d58620484730bd7cdad36c0a0dcd45d49a9
DIST mysql-connector-odbc-8.0.24-src.tar.gz 3736373 BLAKE2B 8d03566471343239dd49f09bc02a0852f73544e0a91532e75d7871fa2842880213df0241691ab5449597bfed9dae3a74d87d2ed43092aad6bd66bee511542863 SHA512 1e182fd017092a47e38c96006a55d2d21496b2e5b67c211f9ea5b3c3cae44035bc9d401fc90c4f4e8ef6a347dbbbf78870b5dbc3711613fc28cddea468efa6f3

122
dev-db/myodbc/myodbc-8.0.24.ebuild

@ -0,0 +1,122 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake-multilib
MAJOR="$(ver_cut 1-2)"
MY_PN="mysql-connector-odbc"
MY_P="${MY_PN}-${PV/_p/r}-src"
DESCRIPTION="ODBC driver for MySQL"
HOMEPAGE="https://dev.mysql.com/downloads/connector/odbc/"
SRC_URI="https://dev.mysql.com/get/Downloads/Connector-ODBC/${MAJOR}/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="${MAJOR}"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
# Broken when built dynamically against libmysqlclient.so
RDEPEND="
dev-db/unixODBC[${MULTILIB_USEDEP}]
>=dev-db/mysql-connector-c-8.0:0=[static-libs,${MULTILIB_USEDEP}]
"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}
# Careful!
DRIVER_NAME="${PN}-${SLOT}"
# Patch document path so it doesn't install files to /usr
PATCHES=(
"${FILESDIR}/${MAJOR}-cmake-doc-path.patch"
"${FILESDIR}/${PN}-8.0.19-cxxlinkage.patch"
)
src_prepare() {
# Remove Tests
sed -i -e "s/ADD_SUBDIRECTORY(test)//" \
"${S}/CMakeLists.txt"
cmake-utils_src_prepare
}
multilib_src_configure() {
mycmakeargs+=(
-DMYSQLCLIENT_STATIC_LINKING=1
-DMYSQL_CXX_LINKAGE=1
-DWITH_UNIXODBC=1
-DWITH_DOCUMENTATION_INSTALL_PATH=${EPREFIX}/usr/share/doc/${PF}
-DLIB_SUBDIR="$(get_libdir)/${PN}-${MAJOR}"
-DMYSQLCLIENT_NO_THREADS=ON
-DDISABLE_GUI=ON
# The NUMA and LIBWRAP options are not really used.
# They are just copied from the server code
-DWITH_NUMA=OFF
-DWITH_LIBWRAP=OFF
)
cmake-utils_src_configure
}
multilib_src_install_all() {
debug-print-function ${FUNCNAME} "$@"
dodir /usr/share/${PN}-${SLOT}
for i in odbc.ini odbcinst.ini; do
einfo "Building $i"
sed \
-e "s,__PN__,${DRIVER_NAME},g" \
-e "s,__PF__,${MAJOR},g" \
-e "s,lib/libmyodbc3.so,$(get_libdir)/${PN}-${MAJOR}/libmyodbc${SLOT:0:1}a.so,g" \
>"${D}"/usr/share/${PN}-${SLOT}/${i} \
<"${FILESDIR}"/${i}.m4 \
|| die "Failed to build $i"
done
rm -rf "${ED}/usr/$(get_libdir)/${PN}-${MAJOR}/private" \
|| die "failed to remove bundled libs"
mv "${D}/usr/bin/myodbc-installer" \
"${D}/usr/bin/myodbc-installer-${MAJOR}" || die "failed to move slotted binary"
}
pkg_config() {
[ "${ROOT}" != "/" ] && \
die 'Sorry, non-standard ROOT setting is not supported :-('
local msg='MySQL ODBC driver'
local drivers=$(/usr/bin/odbcinst -q -d)
if echo $drivers | grep -vq "^\[${DRIVER_NAME}\]$" ; then
ebegin "Installing ${msg}"
/usr/bin/odbcinst -i -d -f /usr/share/${PN}-${SLOT}/odbcinst.ini
rc=$?
eend $rc
[ $rc -ne 0 ] && die
else
einfo "Skipping already installed ${msg}"
fi
local sources=$(/usr/bin/odbcinst -q -s)
msg='sample MySQL ODBC DSN'
if echo $sources | grep -vq "^\[${DRIVER_NAME}-test\]$"; then
ebegin "Installing ${msg}"
/usr/bin/odbcinst -i -s -l -f /usr/share/${PN}-${SLOT}/odbc.ini
rc=$?
eend $rc
[ $rc -ne 0 ] && die
else
einfo "Skipping already installed ${msg}"
fi
}
pkg_postinst() {
elog "If this is a new install, please run the following command"
elog "to configure the MySQL ODBC drivers and sources:"
elog "emerge --config =${CATEGORY}/${PF}"
elog "Please note that the driver name used to form the DSN now includes the SLOT."
elog "The myodbc-install utility is installed as myodbc-install-${MAJOR}"
}

1
dev-db/mysql-connector-c++/Manifest

@ -4,3 +4,4 @@ DIST mysql-connector-c++-8.0.20-src.tar.gz 3774428 BLAKE2B a06114432ab21c36fd0b3
DIST mysql-connector-c++-8.0.21-src.tar.gz 3788740 BLAKE2B 1862b4f2c6e2a2bbe8e3044eea2c1d3c8fdb0a319e3758ca44686b79e917a65617e2cfd0e4b698d858ed9ef12c892b4f658eb287f2a8505a5daeeb79d9544c25 SHA512 8a64dff2efd16d2891f613fd416ec42ecba2490b428b1778e99822a3051d9c5af3b94006577e9f38a6ebd146d2f3be522cb876f1e42fbf0ac82001b0a62ffa62
DIST mysql-connector-c++-8.0.22-src.tar.gz 3795112 BLAKE2B c5d6f0ebeb4649857f3217a35f3ae885d62be63af4da09815e7eb156538ece4f805578db24bfff3dd44a0e320c025a9936d7edacba69a2786d84dd932c5abb8a SHA512 1975b43fa3f3806cccc685a695f84783164c5b17da10ac14a6013d27c837cc9c63fff01b1ed4b31f22dae60afa68d34ec56ca9c45ca3dac23635e8f0fa845aa4
DIST mysql-connector-c++-8.0.23-src.tar.gz 3798295 BLAKE2B 923eebbd7f9cde0252c84de4c70863b40c0dd93ad98a93e2ec14c935b2f3f0b0f251828a8bbbd0f23a5ec03491db06020294e19455901d15181c84fec9fb3d7f SHA512 f8eb8842e199d7373f4b55644720ac63b93eb33be19294c433f57aaf556ce1b5752223154194469fa28af52adebe930f0a7b4e8f62df92cc810b545aa7bab928
DIST mysql-connector-c++-8.0.24-src.tar.gz 3797356 BLAKE2B e509e04f6c93893948c573401188567bcbda91db0e608d53b1795593abf043117e1a525d3abe5c8396068a2ef750582cde15b64412e556e89762d08032abb602 SHA512 5507bc562e8263ee17efb9d4e2f52e471da75e73a1fc4dd1bc0a2ac1c2a593be889c4b042037cf6d3cbff854ae5cc865a8800251da475aed0f31710229af26f1

44
dev-db/mysql-connector-c++/mysql-connector-c++-8.0.24.ebuild

@ -0,0 +1,44 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
CMAKE_MAKEFILE_GENERATOR=emake
inherit cmake
DESCRIPTION="MySQL database connector for C++ (mimics JDBC 4.0 API)"
HOMEPAGE="https://dev.mysql.com/downloads/connector/cpp/"
URI_DIR="Connector-C++"
SRC_URI="https://dev.mysql.com/get/Downloads/${URI_DIR}/${P}-src.tar.gz"
LICENSE="Artistic GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="+legacy libressl"
RDEPEND="
dev-libs/protobuf:=
legacy? (
dev-libs/boost:=
>=dev-db/mysql-connector-c-6.1.8:=
)
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )"
DEPEND="${RDEPEND}"
S="${WORKDIR}/${P}-src"
PATCHES=(
"${FILESDIR}"/${PN}-8.0.22-fix-build.patch
"${FILESDIR}"/${PN}-8.0.20-fix-libressl-support.patch
)
src_configure() {
local mycmakeargs=(
-DWITH_SSL=system
-DWITH_JDBC=$(usex legacy ON OFF)
$(usex legacy '-DMYSQLCLIENT_STATIC_BINDING=0' '')
$(usex legacy '-DMYSQLCLIENT_STATIC_LINKING=0' '')
)
cmake_src_configure
}

1
dev-db/mysql-connector-c/Manifest

@ -1,2 +1,3 @@
DIST mysql-boost-8.0.22.tar.gz 285934450 BLAKE2B 1ba0c9bb9a0cb74af4842d3b746f8b690c122cfbf2c6d5201ce95e59a257427a8683dd8d5c2be31dfe9ece4761366c1287fa7b841c45db222725bf76b0639bc6 SHA512 792f2ada93ec67a4679228478c6b798e81d9e9f6d13c7f4977cb7682738a4aae3cb483294edc6b2fde16c3960e51af8786216c063ab500840afd39a609e4b612
DIST mysql-boost-8.0.23.tar.gz 291039175 BLAKE2B 3a7d3e05c774085d6078d0d3effd58d2df47521615356a2aa5efc2ea2ef8457e19ad57a054926ccff0a4752ca71d0464daa7fe9a3ac6c1b1d3bd86a9a82dfc58 SHA512 b8c2e2ac772b7b730f8b3bac7a5afb205da173b3639500606e7d1fac74832a0134027951855a2dc81af015e6158c924927ad63b9e1f2e7c823d45d4c4961c3f8
DIST mysql-boost-8.0.24.tar.gz 290263082 BLAKE2B a29f42b63c68b13fbe7433c7734e1269a1961c10cdd78cc1b9459a32fd833b5efc49e4ad70c3099d265f6e3b69596754e3947568d13104c52ba0d97fa1f1ddc3 SHA512 ad8510614251c056f0963f8e51b9ed5e75452ccbf2728254d662fcc3a7ee1bdc177d1d34e958ddc31c7e6b5b3af9377ef2d9cbdc0353676b3026619673447deb

120
dev-db/mysql-connector-c/mysql-connector-c-8.0.24.ebuild

@ -0,0 +1,120 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_ECLASS=cmake
inherit cmake-multilib
# wrap the config script
MULTILIB_CHOST_TOOLS=( /usr/bin/mysql_config )
DESCRIPTION="C client library for MariaDB/MySQL"
HOMEPAGE="https://dev.mysql.com/downloads/"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/mysql/mysql-server.git"
inherit git-r3
else
SRC_URI="https://dev.mysql.com/get/Downloads/MySQL-$(ver_cut 1-2)/mysql-boost-${PV}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
S="${WORKDIR}/mysql-${PV}"
fi
LICENSE="GPL-2"
SLOT="0/21"
IUSE="ldap libressl static-libs"
RDEPEND="
>=app-arch/lz4-0_p131:=[${MULTILIB_USEDEP}]
app-arch/zstd:=[${MULTILIB_USEDEP}]
sys-libs/zlib:=[${MULTILIB_USEDEP}]
ldap? ( dev-libs/cyrus-sasl:=[${MULTILIB_USEDEP}] )
libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
!libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
"
DEPEND="${RDEPEND}"
# Avoid file collisions, #692580
RDEPEND+=" !<dev-db/mysql-5.6.45-r1"
RDEPEND+=" !=dev-db/mysql-5.7.23*"
RDEPEND+=" !=dev-db/mysql-5.7.24*"
RDEPEND+=" !=dev-db/mysql-5.7.25*"
RDEPEND+=" !=dev-db/mysql-5.7.26-r0"
RDEPEND+=" !=dev-db/mysql-5.7.27-r0"
RDEPEND+=" !<dev-db/percona-server-5.7.26.29-r1"
DOCS=( README )
PATCHES=(
"${FILESDIR}"/${PN}-8.0.22-always-build-decompress-utilities.patch
"${FILESDIR}"/${PN}-8.0.19-do-not-install-comp_err.patch
"${FILESDIR}"/${PN}-8.0.23-libressl.patch
)
src_prepare() {
sed -i -e 's/CLIENT_LIBS/CONFIG_CLIENT_LIBS/' "scripts/CMakeLists.txt" || die
# All these are for the server only.
# Disable rpm call which would trigger sandbox, #692368
sed -i \
-e '/MYSQL_CHECK_LIBEVENT/d' \
-e '/MYSQL_CHECK_RAPIDJSON/d' \
-e '/MYSQL_CHECK_ICU/d' \
-e '/MYSQL_CHECK_EDITLINE/d' \
-e '/MYSQL_CHECK_CURL/d' \
-e '/ADD_SUBDIRECTORY(man)/d' \
-e '/ADD_SUBDIRECTORY(share)/d' \
-e '/INCLUDE(cmake\/boost/d' \
-e 's/MY_RPM rpm/MY_RPM rpmNOTEXISTENT/' \
CMakeLists.txt || die
# Skip building clients
echo > client/CMakeLists.txt || die
# Forcefully disable auth plugin
if ! use ldap ; then
sed -i -e '/MYSQL_CHECK_SASL/d' CMakeLists.txt || die
echo > libmysql/authentication_ldap/CMakeLists.txt || die
fi
cmake_src_prepare
}
multilib_src_configure() {
CMAKE_BUILD_TYPE="RelWithDebInfo"
local mycmakeargs=(
-DCMAKE_C_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DCMAKE_CXX_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DINSTALL_LAYOUT=RPM
-DINSTALL_LIBDIR=$(get_libdir)
-DWITH_DEFAULT_COMPILER_OPTIONS=OFF
-DENABLED_LOCAL_INFILE=ON
-DMYSQL_UNIX_ADDR="${EPREFIX}/run/mysqld/mysqld.sock"
-DWITH_LZ4=system
-DWITH_NUMA=OFF
-DWITH_SSL=system
-DWITH_ZLIB=system
-DWITH_ZSTD=system
-DLIBMYSQL_OS_OUTPUT_NAME=mysqlclient
-DSHARED_LIB_PATCH_VERSION="0"
-DCMAKE_POSITION_INDEPENDENT_CODE=ON
-DWITHOUT_SERVER=ON
)
cmake_src_configure
}
multilib_src_install_all() {
doman \
man/my_print_defaults.1 \
man/perror.1 \
man/zlib_decompress.1
if ! use static-libs ; then
find "${ED}" -name "*.a" -delete || die
fi
}

4
dev-db/mysql/Manifest

@ -2,21 +2,25 @@ DIST mysql-5.7.30-patches-01.tar.xz 6684 BLAKE2B 9350280094619fda0d91eacae573396
DIST mysql-5.7.31-patches-01.tar.xz 6664 BLAKE2B 8225f286f0090653f9714545daa95ccdadaa58812e55284d1ee52ad2dcca18960b9266797630762595d832aa1dda1d9e2df691f0c728102f162b376346c99b3c SHA512 c6260e688da6e8f049ba7ac0553ad442e76829deaca32c1b7a101ec927a36b1571cb24982391f05545a9f62d94502efc09530d444e4abfc08350ab4c19fbfd37
DIST mysql-5.7.32-patches-01.tar.xz 6660 BLAKE2B 5c63158615398bdcc4480a0e1b058f491b39ffc7ee33767b425f3b254555411031f64d865e1924afe8aa3926e4cba18049f1219a0a8acc702bc5e011c94fa947 SHA512 bf5e0d27af81e599005268ee243af4cd93f6df95c32cccb268a749322b4e5f73a2ce5d51f0ad1b0e1f2cf4702b8a05e4b2e0b73110fd4aac61f2a0f51bf4952e
DIST mysql-5.7.33-patches-01.tar.xz 6672 BLAKE2B cfa410f9ba5a4ba7e43923e7b5940c2dc6a9356b49230ebaea24bd7eef8a9639fc746e917c22241e19c830b81252e95f38e2c9d6054494de700bae46011fb2f4 SHA512 b16bb9531c44f1c5ec9c08aee6c1f5f5d2e3fe59a0039a54f6c050660a18f7c78b955e7eea7bef4e7dccfcdaa81464e0d8e47ac7d0e40ecb90187865a8a0412e
DIST mysql-5.7.34-patches-01.tar.xz 6676 BLAKE2B b925880bfbb991fcba81964ff658a2ecab38da637a6093270a724ab8e405ab092d5fb9684f53f44d001e34287366df234b841d9ebcae62d49becdb93a3c3e324 SHA512 80a89f4b4a7ecc04f3115c6aaa0b0013e38c2813fa6dea095e826ef3944298715a48e0deacb691d23526b1524b207c83176290faea2461d3fcd94edabe3d8943
DIST mysql-8.0.20-patches-01.tar.xz 7176 BLAKE2B 2fc51986c0a4da60521d0e64b9f8705caf8ec3869af930c9729359c3710059fc78aae176523fdf17d10173b404431f31f9bb23ee5c82fba7cbbb4cb39881c005 SHA512 bf8211cf3873f8672b9d3d1dc42b68a1c635690ffdc2d3393eafa83f060ada9f2eaa63f859bf8eecc24976a733d8c7c3b9632ac70f28b5facf48eae921c7ceeb
DIST mysql-8.0.21-patches-01.tar.xz 7212 BLAKE2B 2f1b38b3f84a124e3636cb726f3fcef82d71d933e90429dc78be44afeb4f456a37104359c5fd58ab50f0c03c1698e6c79f9b1e07640f0411c0024f558b4e9595 SHA512 3edcbb529b0623adaed30150d88c9b54d1a3e402faf5c7cff4ed626bbf4e5f50838d8f3c79bd2173439d748ded13412ff7fe37e3742c55879ff28907b9eb5660
DIST mysql-8.0.22-patches-02.tar.xz 7580 BLAKE2B a50704c3c58b1f67ca86edb233544137927b0ae5fdf302687b48f6fd30fbbd26798e8ef8282662586b25a7240b47278b44f944a8ca59f1a198bc228dd74459c9 SHA512 59f864452e9fdebe4d3990eff8b756e9bbfad58da216b74fa8b7e8391cb0d9d543ca2828591b9ed1ee276c1dec9e1851a8c2683507f0a326c85054e31cc3f950
DIST mysql-8.0.23-patches-01.tar.xz 7568 BLAKE2B 222120dcb5556457f382eefbb10f66f46fe1673c64730c8c8a5566942031bc98bab1f1182f747e79e23fccfb6b09197d5c2874aa2087104b6f1eaa25ea9fd60c SHA512 54222c420d57c1b206d920f22738746925ed1e0d78683f01c97cac5bd1d3450f70f784a7f603304b8595fb58120e691f94e28fa1d1884a7cc8bea1d7b177470f
DIST mysql-8.0.24-patches-01.tar.xz 7236 BLAKE2B ffd21b74c4e379c2eb816438ea0231637cb60440f0ca3bc2fb516695d90e9665132a120bc3d7a72ee92e48785a16d1fa30e5ca831465fbdf2802e2d49f10b3b2 SHA512 7b2163bfab290cbb05443a09824ec1d53a933703498f04a82ed09a411ec0f07c9952ca4ece726c7cddb4cb4326e455ea93b3c1e8eeed28704119828c2da168e3
DIST mysql-boost-5.7.27.tar.gz 51436383 BLAKE2B 6db64ab5fa659aae9baa3725a0de9465e48c37618ffd69f34809880c06a00ce55dce77f507810c6fa52d86901facfa42d3d1bd8db1914a779fbc88a69be82497 SHA512 573f4555f3d62bcd3dc2228bcfba023518d462bb6689114a3505ccf7c7c3061d2775a8e7a37ec3c8b9dea6e8fbc56ba599610f237abc38cedff58e75799bdc52
DIST mysql-boost-5.7.29.tar.gz 51417554 BLAKE2B 652ce9f99419387e9bcc37afeb1b46438784752e963c3aa1877f17650c31d8b058b4052da97c3a7e9454e758c259d6c311e0518f9a75909fce9741150b82164c SHA512 38acf7c2a10b20c59230ad05cd2cd6996c4c582233c1be573ead08e5c6684275790da07a036570363f89b4d61547b306589b0b98ed5fca70723a3f2cbc21fe11
DIST mysql-boost-5.7.30.tar.gz 51363998 BLAKE2B 7897ad74b685c3b30e7ecdf132fdfa72f3416c05e8d0086cb8f7674b6c4f377fff9abc51ed258cc4dfeab50a2cb393af9076d9c1f9a83a26521facbaf223afa1 SHA512 b75d41d0c72d16c6f8d5393dab6e476b7993d296eb5683c12417ce2da3db2052fdab2a152f6e7c545315d21bfa35f26a247cb6cdab83d3418b5d34ed7f5f9560
DIST mysql-boost-5.7.31.tar.gz 51382559 BLAKE2B 86430ee01b0b066ffbd1c876c7d09afecdd57f99cfe07417f406345bcdb14cc6fd33a2d4d92dfe15e87f34ec476bf34d62508ac3f99fb3e11957458e0d6ec20b SHA512 d7fc1927c860562d121658031bcbd58d36a942340423bf7b692cef84c29e67b56d009c9f9bb10cde8acabd6f9db58c67eb542349eccc4719fb38c8570738700a
DIST mysql-boost-5.7.32.tar.gz 52882168 BLAKE2B dd112fa1d8bd29d86fba076675b5b7c9c98b6fb876aed45a00e8a25be716102fc9aa688b7170bef07b1c9f9751737277774d8fb2c64c21e181ecae58f89b4a8a SHA512 33a617d040efd065ea1c2ad84be537f851480abd5cc8a6879b7f170bc4e6db9432bd03f2a6bc680b71f17839c508cab0e7ef1a3aba032197da1b7943c916c77a
DIST mysql-boost-5.7.33.tar.gz 52912380 BLAKE2B bca09314ae73932f6095799faa016998e65655cf5ea74d5596dcdc785e77014fe0b29a6c123e8618771f4a20a19978df00f7b79eea329aeb4b536ae71a4bef94 SHA512 1d1e1e5934fb17ff731fea45b88d4af6a394c2fbf0177a87803b18cb0eb4fb8d4939f82fc22b6cbc2af64022a44e206cd23e2e88ce11cc119c3ea22129d54e7a
DIST mysql-boost-5.7.34.tar.gz 52891142 BLAKE2B 986fe106d73495ea9acb837f699ef2b1ffd123d9728b61da42f990d670569f1f7c12dc0a8611c3a7b6e3ed7be9fc277e1a977fa6c6d06f7d156a2f492951d9c7 SHA512 4eab7e90477b75643df743d806d5abcfb56572a2aa003a354980287c9148209f4fb7f0158ba969fb0462c32e49fcb4cf2a79f0330ab1bd2b243725dbf6f31d6d
DIST mysql-boost-8.0.19.tar.gz 264147972 BLAKE2B 61a5ccbef1a7a675c85e4e6bda8e5285bdb931e6ee14d4710bf13dfd9157d1095200db2886dc93ea7251d3d59245f35c0bef5ba88ba6aac209b1e080f3b07dc4 SHA512 5ffc03f005ab2585694902e926b6cb2b10059b2b030549eccd3949f9c3b2f02626d02529f940dec003f2d69683856fd1c720ff12f89dfbdc48befaf24a9c4d01
DIST mysql-boost-8.0.20.tar.gz 266282970 BLAKE2B 2aeb9d6c575ed9dc2d00d3e51e6391c59ffa39156491d9ed2c07e19bb2efb88a14d5a9d4b537c137d71854e39fa3a7fc2b93618118d4fd062e92ba2d83783c6f SHA512 7a962e9ddec7069008c5ab6ac2801515e2661ca2875afc6141541c03e2f941f4255b3c0d806a4df2fd2f2f1d12323aeb1e456c1d364777a18ccebefad7b22a99
DIST mysql-boost-8.0.21.tar.gz 278292192 BLAKE2B 9e5a14d1401f58f6f620c8691d2d4d3ada122a79a4e081380050961f0add93bf32b682c60ea2a6e58f50a4fcedbd323d8efe2d5f3e1f2bba5010e201a2df5d44 SHA512 18128edd7d9604ea69bd308f372d6663ef3629503969148e3a2117175c4ef625358b31b96e0e1b8d10a87037719e3cb61d5c71eee1e26ab0e0a1731977a2d7c1
DIST mysql-boost-8.0.22.tar.gz 285934450 BLAKE2B 1ba0c9bb9a0cb74af4842d3b746f8b690c122cfbf2c6d5201ce95e59a257427a8683dd8d5c2be31dfe9ece4761366c1287fa7b841c45db222725bf76b0639bc6 SHA512 792f2ada93ec67a4679228478c6b798e81d9e9f6d13c7f4977cb7682738a4aae3cb483294edc6b2fde16c3960e51af8786216c063ab500840afd39a609e4b612
DIST mysql-boost-8.0.23.tar.gz 291039175 BLAKE2B 3a7d3e05c774085d6078d0d3effd58d2df47521615356a2aa5efc2ea2ef8457e19ad57a054926ccff0a4752ca71d0464daa7fe9a3ac6c1b1d3bd86a9a82dfc58 SHA512 b8c2e2ac772b7b730f8b3bac7a5afb205da173b3639500606e7d1fac74832a0134027951855a2dc81af015e6158c924927ad63b9e1f2e7c823d45d4c4961c3f8
DIST mysql-boost-8.0.24.tar.gz 290263082 BLAKE2B a29f42b63c68b13fbe7433c7734e1269a1961c10cdd78cc1b9459a32fd833b5efc49e4ad70c3099d265f6e3b69596754e3947568d13104c52ba0d97fa1f1ddc3 SHA512 ad8510614251c056f0963f8e51b9ed5e75452ccbf2728254d662fcc3a7ee1bdc177d1d34e958ddc31c7e6b5b3af9377ef2d9cbdc0353676b3026619673447deb
DIST mysql-extras-20190822-1908Z.tar.bz2 338830 BLAKE2B bc197f8e541206548d8982814e82e028d699ba9c41aec8d5191bcc46581f7880ed2741dbe2206fde44a5e8d8d54bbcf40efbd0709b357636c4c8fdb2ccc3a7bb SHA512 be469e55f7e9966638600d6836a44258c74e5600240fafe2d79eaeebe7d1695b043678184b5d18ee9946f28154bc2529586a7f860b510180a30c82454ed575c8
DIST mysql-extras-20200125-1945Z.tar.bz2 344906 BLAKE2B 0e87875efbc221ded43d6f080dc7dce4277b676b538950120c94b962e51d054093286486e5d83ea3e38e1b2d0b12cf81873df50e1cebbe4cff33b54297e6a17a SHA512 5fcc5d372998db2b8aef32661ff71290791c20c1195a6210ca79c0fda12008906e665f9dc878d3df5a38a95e23ff05b910daa861002c17a1b6de71ef0520bee1
DIST mysql-extras-20200317-0103Z.tar.bz2 344905 BLAKE2B c4c8bb2acea16663ab32cf291d0a2d52af04448a507ad3a6dc22dfdef4d6ba427582d66e5923d05cd51565286f85c8df5ccabef9a67a4a500574d21e1f708f27 SHA512 d1d34817faf0a1271f906213eea9081c204d745b14f96166f17d5c60a29ec58c05926e7216f135b6e9d5df2ceab373f10fc4e6a652514d99ba34a336571dce1f

1244
dev-db/mysql/mysql-5.7.34.ebuild
File diff suppressed because it is too large
View File

1162
dev-db/mysql/mysql-8.0.24.ebuild
File diff suppressed because it is too large
View File

BIN
dev-java/Manifest.gz

1
dev-java/commons-net/Manifest

@ -1,2 +1 @@
DIST commons-net-3.2-src.tar.gz 378351 BLAKE2B f40ad73ef7d9865cdbe9da94a458f0c9ce636b0b71dcab3b48b52716aa141de3215581b75b9283d4d918ad0dbbd2761c9b0d9eee1703a2bbc545718c129511d5 SHA512 2152b0c524320702c336b21308bb8166e00487938430b83e08d65b836ab775c372c9251957c674e0bccff6815fc3ed3bdb7113a0d2a140c53f64c2f557eef2ba
DIST commons-net-3.8.0.jar 437325 BLAKE2B 92bdbf2f95cc54f6a791a9de0a56878fe12b6d956d47a4116ae21df35f3dcc4d7b10f5c03c081fc7012a06416f5f9f6555060784bfe22ec9c8d70b17ee7ea215 SHA512 a16ed8c2966541cc052fe963338efcc6f9c42ccd6fefe246547e66d9f46c35cf42bc6d13cb983a1829a378ebd7a676bcb812acbc3aa0ed30e6fa206748dae620

40
dev-java/commons-net/commons-net-3.2.ebuild

@ -1,40 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
# http://issues.apache.org/bugzilla/show_bug.cgi?id=37985
RESTRICT="test"
JAVA_PKG_IUSE="doc examples source" # test
inherit java-pkg-2 java-ant-2 java-osgi
MY_P="${P}-src"
DESCRIPTION="Java library emulating the client side of many basic Internet protocols"
HOMEPAGE="http://commons.apache.org/net/"
SRC_URI="mirror://apache/commons/net/source/${MY_P}.tar.gz"
DEPEND=">=virtual/jdk-1.5"
RDEPEND=">=virtual/jre-1.5"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S="${WORKDIR}/${MY_P}"
java_prepare() {
cp "${FILESDIR}"/${P}-build.xml build.xml || die
sed -i 's/depends="compile,test"/depends="compile"/' build.xml || die "Failed to disable junit"
sed -i 's/manifest=".*MANIFEST.MF"//g' build.xml || die
sed -i '/name="Main-Class"/d' build.xml || die
}
src_install() {
java-osgi_newjar target/${P}.jar ${P} ${P} "Export-Package: ${P}"
use doc && java-pkg_dojavadoc target/site/apidocs
use examples && java-pkg_doexamples src/main/java/examples
use source && java-pkg_dosrc src/main/java/org
}

2
dev-java/commons-net/commons-net-3.8.0.ebuild

@ -18,4 +18,4 @@ RDEPEND=">=virtual/jre-1.8:*"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"

285
dev-java/commons-net/files/commons-net-3.2-build.xml

@ -1,285 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- ====================================================================== -->
<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above. -->
<!-- ====================================================================== -->
<!-- ====================================================================== -->
<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
<!-- ====================================================================== -->
<!-- -->
<!-- Any modifications will be overwritten. -->
<!-- -->
<!-- Generated by Maven Ant Plugin on 5/29/13 3:17 PM -->
<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/ -->
<!-- -->
<!-- ====================================================================== -->
<project name="commons-net-from-maven" default="package" basedir=".">
<!-- ====================================================================== -->
<!-- Build environment properties -->
<!-- ====================================================================== -->
<property file="${user.home}/.m2/maven.properties"/>
<property file="maven-build.properties"/>
<property name="maven.build.finalName" value="commons-net-3.2"/>
<property name="maven.build.dir" value="target"/>
<property name="maven.build.outputDir" value="${maven.build.dir}/classes"/>
<property name="maven.build.srcDir.0" value="src/main/java"/>
<property name="maven.build.resourceDir.0" value="src/main/resources"/>
<property name="maven.build.resourceDir.1" value="."/>
<property name="maven.build.testOutputDir" value="${maven.build.dir}/test-classes"/>
<property name="maven.build.testDir.0" value="src/test/java"/>
<property name="maven.build.testResourceDir.0" value="src/test/resources"/>
<property name="maven.build.testResourceDir.1" value="."/>
<property name="maven.test.reports" value="${maven.build.dir}/test-reports"/>
<property name="maven.reporting.outputDirectory" value="${maven.build.dir}/site"/>
<property name="maven.repo.local" value="${user.home}/.m2/repository"/>
<property name="maven.settings.offline" value="false"/>
<property name="maven.settings.interactiveMode" value="true"/>
<!-- ====================================================================== -->
<!-- Defining classpaths -->
<!-- ====================================================================== -->
<path id="build.classpath"/>
<path id="build.test.classpath">
<pathelement location="${maven.repo.local}/junit/junit/4.10/junit-4.10.jar"/>
<pathelement location="${maven.repo.local}/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"/>
</path>
<!-- ====================================================================== -->
<!-- Cleaning up target -->
<!-- ====================================================================== -->
<target name="clean" description="Clean the output directory">
<delete dir="${maven.build.dir}"/>
</target>
<!-- ====================================================================== -->
<!-- Compilation target -->
<!-- ====================================================================== -->
<target name="compile" depends="get-deps" description="Compile the code">
<mkdir dir="${maven.build.outputDir}"/>
<javac destdir="${maven.build.outputDir}"
encoding="iso-8859-1"
nowarn="false"
debug="true"
optimize="false"
deprecation="true"
target="1.5"
verbose="false"
fork="false"
source="1.5">
<src>
<pathelement location="${maven.build.srcDir.0}"/>
</src>
<classpath refid="build.classpath"/>
</javac>
<mkdir dir="${maven.build.outputDir}/META-INF"/>
<copy todir="${maven.build.outputDir}/META-INF">
<fileset dir="${maven.build.resourceDir.1}">
<include name="NOTICE.txt"/>
<include name="LICENSE.txt"/>
</fileset>
</copy>
</target>
<!-- ====================================================================== -->
<!-- Test-compilation target -->
<!-- ====================================================================== -->
<target name="compile-tests"
depends="compile"
description="Compile the test code"
unless="maven.test.skip">
<mkdir dir="${maven.build.testOutputDir}"/>
<javac destdir="${maven.build.testOutputDir}"
encoding="iso-8859-1"
nowarn="false"
debug="true"
optimize="false"
deprecation="true"
target="1.5"
verbose="false"
fork="false"
source="1.5">
<src>
<pathelement location="${maven.build.testDir.0}"/>
</src>
<classpath>
<path refid="build.test.classpath"/>
<pathelement location="${maven.build.outputDir}"/>
</classpath>
</javac>
<mkdir dir="${maven.build.testOutputDir}/META-INF"/>
<copy todir="${maven.build.testOutputDir}/META-INF">
<fileset dir="${maven.build.testResourceDir.1}">
<include name="NOTICE.txt"/>
<include name="LICENSE.txt"/>
</fileset>
</copy>
</target>
<!-- ====================================================================== -->
<!-- Run all tests -->
<!-- ====================================================================== -->
<target name="test"
depends="compile-tests, junit-missing"
unless="junit.skipped"
description="Run the test cases">
<mkdir dir="${maven.test.reports}"/>
<junit printSummary="yes" haltonerror="true" haltonfailure="true" fork="true" dir=".">
<sysproperty key="basedir" value="."/>
<formatter type="xml"/>
<formatter type="plain" usefile="false"/>
<classpath>
<path refid="build.test.classpath"/>
<pathelement location="${maven.build.outputDir}"/>
<pathelement location="${maven.build.testOutputDir}"/>
</classpath>
<batchtest todir="${maven.test.reports}" unless="test">
<fileset dir="${maven.build.testDir.0}">
<include name="**/Test*.java"/>
<include name="**/*Test.java"/>
<include name="**/*TestCase.java"/>
<exclude name="**/*FunctionalTest.java"/>
<exclude name="**/*POP3*.java"/>
<exclude name="**/TestSetupParameters.java"/>
</fileset>
</batchtest>
<batchtest todir="${maven.test.reports}" if="test">
<fileset dir="${maven.build.testDir.0}">
<include name="**/${test}.java"/>
<exclude name="**/*FunctionalTest.java"/>
<exclude name="**/*POP3*.java"/>
<exclude name="**/TestSetupParameters.java"/>
</fileset>
</batchtest>
</junit>
</target>
<target name="test-junit-present">
<available classname="junit.framework.Test" property="junit.present"/>
</target>
<target name="test-junit-status"
depends="test-junit-present">
<condition property="junit.missing">
<and>
<isfalse value="${junit.present}"/>
<isfalse value="${maven.test.skip}"/>
</and>
</condition>
<condition property="junit.skipped">
<or>
<isfalse value="${junit.present}"/>
<istrue value="${maven.test.skip}"/>
</or>
</condition>
</target>
<target name="junit-missing"
depends="test-junit-status"
if="junit.missing">
<echo>=================================== WARNING ===================================</echo>
<echo> JUnit is not present in your $ANT_HOME/lib directory. Tests not executed.</echo>
<echo>===============================================================================</echo>
</target>
<!-- ====================================================================== -->
<!-- Javadoc target -->
<!-- ====================================================================== -->
<target name="javadoc" description="Generates the Javadoc of the application">
<javadoc sourcepath="${maven.build.srcDir.0}"
packagenames="*"
destdir="${maven.reporting.outputDirectory}/apidocs"
access="protected"
old="false"
verbose="false"
encoding="iso-8859-1"
version="true"
use="true"
author="true"
splitindex="false"
nodeprecated="false"
nodeprecatedlist="false"
notree="false"
noindex="false"
nohelp="false"
nonavbar="false"
serialwarn="false"
charset="ISO-8859-1"
source="1.5"
linksource="true"
breakiterator="false">
<link href="http://download.oracle.com/javase/1.5.0/docs/api/"/>
<link href="http://download.oracle.com/javaee/6/api/"/>
</javadoc>
</target>
<!-- ====================================================================== -->
<!-- Package target -->
<!-- ====================================================================== -->
<target name="package" depends="compile,test" description="Package the application">
<jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar"
compress="true"
index="false"
manifest="/var/tmp/portage/dev-java/commons-net-3.2/work/commons-net-3.2-src/target/osgi/MANIFEST.MF"
basedir="${maven.build.outputDir}"
excludes="**/package.html">
<manifest>
<attribute name="Main-Class"/>
</manifest>
</jar>
</target>
<!-- ====================================================================== -->
<!-- A dummy target for the package named after the type it creates -->
<!-- ====================================================================== -->
<target name="jar" depends="package" description="Builds the jar for the application"/>
<!-- ====================================================================== -->
<!-- Download dependencies target -->
<!-- ====================================================================== -->
<target name="test-offline">
<condition property="maven.mode.offline">
<equals arg1="${maven.settings.offline}" arg2="true"/>
</condition>
</target>
<target name="get-deps"
depends="test-offline"
description="Download all dependencies"
unless="maven.mode.offline">
<mkdir dir="${maven.repo.local}"/>
<mkdir dir="${maven.repo.local}/junit/junit/4.10"/>
<get src="http://repository.apache.org/snapshots/junit/junit/4.10/junit-4.10.jar"
dest="${maven.repo.local}/junit/junit/4.10/junit-4.10.jar"
usetimestamp="false"
ignoreerrors="true"/>
<get src="http://repo.maven.apache.org/maven2/junit/junit/4.10/junit-4.10.jar"
dest="${maven.repo.local}/junit/junit/4.10/junit-4.10.jar"
usetimestamp="false"
ignoreerrors="true"/>
<mkdir dir="${maven.repo.local}/org/hamcrest/hamcrest-core/1.1"/>
<get src="http://repository.apache.org/snapshots/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
usetimestamp="false"
ignoreerrors="true"/>
<get src="http://repo.maven.apache.org/maven2/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
usetimestamp="false"
ignoreerrors="true"/>
</target>
</project>

3
dev-java/maven-bin/Manifest

@ -1,5 +1,2 @@
DIST apache-maven-3.1.1-bin.tar.gz 5494427 BLAKE2B 39b8b29a4747562d96231f575ff5cac2f57a5faee6e74df3054df3fd71b8ada691586def77df7d8f0ab88f4ba464a0d3ba382f3259aa19e2a80e1b1d60322221 SHA512 507d340930cc32268128e8969742dbba34a0144f3e7a561b45f71e254ebff2e6f926fd5c7925081fc94995c3f5b4807caf2204ab70297374857bc66c582610a1
DIST apache-maven-3.2.5-bin.tar.gz 7956528 BLAKE2B 41313c35859946c8387b0e58f4a25b38d97d48065deb1db9ddbb576417beef1c3391e0a06526c51878f0a7e451b949f8f8ebc001611429b68332dcef24b594ee SHA512 0cdbf4c1e045ac7f96c176058f19ebb838bd46caadc4fb479e11eda67efbb66218fe67c370ddec6d2e4d91091ac9e81ff9eea8d64174cbe1e6d5f7e15962cfc5
DIST apache-maven-3.3.9-bin.tar.gz 8491533 BLAKE2B c6947c379dd2d64fe28eeab52da443d771c276553d40f70cced2637df17b18c95108932cbb88d4b747f6a8c0a47150849360ffa9095f6ce50724abeaa2369152 SHA512 9b4b22aba67af48648c634e30edbb03de2a7742b7d4e58b3d637fcd20358a51ccb288dcbd473169a58b9322f7c8fbedcf5336b87d06460d0b20ce37d4c3948b0
DIST apache-maven-3.6.3-bin.tar.gz 9506321 BLAKE2B 45892ef05cc1e4578c05a794376fdda730a800070389a1be213cf58c8f8df87be5e22cb2e8fdcf718eed344eff3e133dc72a252b0bbb7dcaf4e0e184539f7b0d SHA512 c35a1803a6e70a126e80b2b3ae33eed961f83ed74d18fcd16909b2d44d7dada3203f1ffe726c17ef8dcca2dcaa9fca676987befeadc9b9f759967a8cb77181c0
DIST apache-maven-3.8.1-bin.tar.gz 9536838 BLAKE2B a6b464d44d577e126ea042ea37aa07a6ea18c56252627b3a266c6c25cc3520421c01d372930948bd2d784ace330f888fb6a8a5a1012946015c8d16d465bb5953 SHA512 0ec48eb515d93f8515d4abe465570dfded6fa13a3ceb9aab8031428442d9912ec20f066b2afbf56964ffe1ceb56f80321b50db73cf77a0e2445ad0211fb8e38d

59
dev-java/maven-bin/maven-bin-3.1.1-r1.ebuild

@ -1,59 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit java-pkg-2
MY_PN=apache-${PN%%-bin}
MY_PV=${PV/_alpha/-alpha-}
MY_P="${MY_PN}-${MY_PV}"
MY_MV="${PV%%.*}"
DESCRIPTION="Project Management and Comprehension Tool for Java"
SRC_URI="mirror://apache/maven/maven-${MY_MV}/${PV}/binaries/${MY_P}-bin.tar.gz"
HOMEPAGE="https://maven.apache.org/"
LICENSE="Apache-2.0"
SLOT="3.1"
KEYWORDS="amd64 x86"
DEPEND="
>=virtual/jdk-1.8
app-eselect/eselect-java"
RDEPEND="
>=virtual/jre-1.8"
S="${WORKDIR}/${MY_P}"
MAVEN=${PN}-${SLOT}
MAVEN_SHARE="/usr/share/${MAVEN}"
# TODO:
# We should use jars from packages, instead of what is bundled.
src_install() {
dodir "${MAVEN_SHARE}"
cp -Rp bin boot conf lib "${ED}/${MAVEN_SHARE}" || die "failed to copy"
java-pkg_regjar "${ED}/${MAVEN_SHARE}"/boot/*.jar
java-pkg_regjar "${ED}/${MAVEN_SHARE}"/lib/*.jar
dodoc NOTICE README.txt
dodir /usr/bin
dosym "${MAVEN_SHARE}/bin/mvn" /usr/bin/mvn-${SLOT}
# See bug #342901.
echo "CONFIG_PROTECT=\"${MAVEN_SHARE}/conf\"" > "${T}/25${MAVEN}" || die
doenvd "${T}/25${MAVEN}"
}
pkg_postinst() {
eselect maven update mvn-${SLOT}
}
pkg_postrm() {
eselect maven update
}

58
dev-java/maven-bin/maven-bin-3.2.5-r1.ebuild

@ -1,58 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit java-pkg-2
MY_PN=apache-${PN%%-bin}
MY_PV=${PV/_alpha/-alpha-}
MY_P="${MY_PN}-${MY_PV}"
MY_MV="${PV%%.*}"
DESCRIPTION="Project Management and Comprehension Tool for Java"
SRC_URI="mirror://apache/maven/maven-${MY_MV}/${PV}/binaries/${MY_P}-bin.tar.gz"
HOMEPAGE="https://maven.apache.org/"
LICENSE="Apache-2.0"
SLOT="3.2"
KEYWORDS="amd64 x86"
DEPEND="
>=virtual/jdk-1.8
app-eselect/eselect-java"
RDEPEND="
>=virtual/jre-1.8"
S="${WORKDIR}/${MY_P}"
MAVEN=${PN}-${SLOT}
MAVEN_SHARE="/usr/share/${MAVEN}"
# TODO: We should use jars from packages, instead of what is bundled.
src_install() {
dodir "${MAVEN_SHARE}"
cp -Rp bin boot conf lib "${ED}/${MAVEN_SHARE}" || die "failed to copy"
java-pkg_regjar "${ED}/${MAVEN_SHARE}"/boot/*.jar
java-pkg_regjar "${ED}/${MAVEN_SHARE}"/lib/*.jar
dodoc NOTICE README.txt
dodir /usr/bin
dosym "${MAVEN_SHARE}/bin/mvn" /usr/bin/mvn-${SLOT}
# See bug #342901.
echo "CONFIG_PROTECT=\"${MAVEN_SHARE}/conf\"" > "${T}/25${MAVEN}" || die
doenvd "${T}/25${MAVEN}"
}
pkg_postinst() {
eselect maven update mvn-${SLOT}
}
pkg_postrm() {
eselect maven update
}

59
dev-java/maven-bin/maven-bin-3.3.9-r1.ebuild

@ -1,59 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit java-pkg-2
MY_PN=apache-${PN%%-bin}
MY_PV=${PV/_alpha/-alpha-}
MY_P="${MY_PN}-${MY_PV}"
MY_MV="${PV%%.*}"
DESCRIPTION="Project Management and Comprehension Tool for Java"
SRC_URI="mirror://apache/maven/maven-${MY_MV}/${PV}/binaries/${MY_P}-bin.tar.gz"
HOMEPAGE="https://maven.apache.org/"
LICENSE="Apache-2.0"
SLOT="3.3"
KEYWORDS="amd64 x86"
DEPEND="
>=virtual/jdk-1.8
app-eselect/eselect-java"
RDEPEND="
>=virtual/jre-1.8"
S="${WORKDIR}/${MY_P}"
MAVEN="${PN}-${SLOT}"
MAVEN_SHARE="/usr/share/${MAVEN}"
# TODO:
# We should use jars from packages, instead of what is bundled.
src_install() {
dodir "${MAVEN_SHARE}"
cp -Rp bin boot conf lib "${ED}/${MAVEN_SHARE}" || die "failed to copy"
java-pkg_regjar "${ED}/${MAVEN_SHARE}"/boot/*.jar
java-pkg_regjar "${ED}/${MAVEN_SHARE}"/lib/*.jar
dodoc NOTICE README.txt
dodir /usr/bin
dosym "${MAVEN_SHARE}/bin/mvn" /usr/bin/mvn-${SLOT}
# See bug #342901.
echo "CONFIG_PROTECT=\"${MAVEN_SHARE}/conf\"" > "${T}/25${MAVEN}" || die
doenvd "${T}/25${MAVEN}"
}
pkg_postinst() {
eselect maven update mvn-${SLOT}
}
pkg_postrm() {
eselect maven update
}

BIN
dev-lang/Manifest.gz

4
dev-lang/spidermonkey/Manifest

@ -1,9 +1,7 @@
DIST firefox-68.0-patches-15.tar.xz 16060 BLAKE2B f9e6cd58ea51bed1af90a9d30fd551dc7e939afcd1b4d00de1271bd4bda94021c6f1799fd9945962c14ffa1fd0b6a6429369c4e45efc2000f179b9b2e46971e7 SHA512 9cb2479637dd8b84e0ab68dc0fe144acd2dc74feca282fd3c4b485ca6f0de8190244587622713a5421b243ccda153f738e9a8f463e87e15e93e9b725d943e128
DIST firefox-68.12.0esr.source.tar.xz 313856956 BLAKE2B eeaa4acc9fabf15ec1b313170a30cee8e1fc10a8b08512b915b83b7d6a81c09b365733ed94638bd434864fd7b0cb8cbf1bc2e43441be69e31117e8e6a099234c SHA512 839b02422e4c87bdb12e0995cd35ca8c1996f3fba00bbb46b419e46b67df5ec48a264cb14632db777ce29166ee4fdcb06e2ee3ce847e64328c58c9a2f9129f4c
DIST firefox-78.10.0esr.source.tar.xz 334642452 BLAKE2B a57e39e5f8d5bab08359957017bb44369598b49987b561176bcbb88b0bc10cd05214fd084faed872f4006e90e1b84a2f9b6f46049da763ef554d235c00d07519 SHA512 5e2cf137dc781855542c29df6152fa74ba749801640ade3cf01487ce993786b87a4f603d25c0af9323e67c7e15c75655523428c1c1426527b8623c7ded9f5946
DIST firefox-78.9.0esr.source.tar.xz 332717100 BLAKE2B 91791c8f3022a4f0bde5dd970a34f1a2d8007ff801a43ec4e35f2afe511d430ca01c4c4a0117895c1874deb7522d0ab1f4c6535cfdbe067d8602b0279f0d1524 SHA512 28582fc0a03fb50c0a817deb1083817bb7f2f5d38e98439bf655ed4ee18c83568b3002a59ef76edf357bfb11f55832a221d14130f116aac19d850768fba3ac8b
DIST firefox-78esr-patches-10.tar.xz 66396 BLAKE2B c29b723e47c58b10885b220080568aba751e1b73c58e28fce62a2da4c4c3ba8c71b63e60448d17599a3df4446dbd9f9387b4b2b75da5ed1e545591aafe8ec83c SHA512 6bb9caf1f6867b894ab315a73f8ae6f381b5c80c90539f38e786ee653c72c0df055aade854faa23f22cab2253f54abaf918a756945b76ed88f5a224ba8a8f12f
DIST firefox-78esr-patches-11.tar.xz 67452 BLAKE2B f1f92d82a3a15364c9ab8a6d9e43e415f112a9ed56c1874a73f769faf309cf411748e1e7e702e16b39b6caa676eb0970f9fabb7caae711f5546b5969ded1a291 SHA512 1c3051dc2540f425cdf3d777506632f539080fd8752867dfc0c13d1587184610ca2ef8f4ad64798330fdaa4098f13a34692bfa8c0eab99743e34c5b72e8aa896
DIST firefox-78esr-patches-12.tar.xz 67840 BLAKE2B d85abdbb54a252852badac50866cf5b5009c050ec4aa80ae2454eef2719e80f3442f5a74ec58d3c36531539042830427cd85507b708c1d5b36ea44dd0cef60b7 SHA512 4445c0880fc234c3838394483ce986e4e222260a99427069ba9c55b56fcd49a485ec916ee6aa2629f922390e92bfcd78028e30cc2e62fad9bc080ae45b26ba2e
DIST js185-1.0.0.tar.gz 6164605 BLAKE2B 76a37f0ceae05d3475853875bd0ce4be6e525e4114816f8f281ea6fc6b60a71060975a0fa1cb843f57ad1e2f842dfb26b24244fa0fd6c20f6ae2ebbe430f70be SHA512 2af7122a7c7007fd7b6668776fe1222515a810b3e43bbf0f76b8f94e1ef406ffd3fb5ccec393021b00274c05b38a77235bc8d6886994c56762fcaf0aa7cf6718
DIST mozjs-52.9.1pre1.tar.bz2 30178574 BLAKE2B 0920432b5140e78297a9bcbccb54268d75a223d5e75e4ff90b3b01aab4f7736b4a4e05c47b3a925ff0a74607a0abad3b6583c75d070ef5142009b20ebaf6e4bf SHA512 187b231b246a5ae09e55c0fef77866b316d75f38f4c2e066d5d4325d8da63433027020c929439cab46af3253ac63ab2f780223a8fd2c6ff535b3409bb6c4aa0f
DIST mozjs-60.5.2.tar.bz2 32816585 BLAKE2B 45ac4c9646e1275faf60eeedbf486f802cd106583eb7f640fe2243adc7cbb811dced5cefa94426cceca63468b0112be84078ffcef24cb2b8c1a7b6c8173c0d45 SHA512 5fb73330e7803bdd524fbe7cfdf4e6b72e85d4b22b0c827400317b5d052d1088d36e558ceac376393089e9d03e658b24e69262851fc04a66bbcda47135423dc0

2
dev-lang/spidermonkey/spidermonkey-78.10.0.ebuild

@ -4,7 +4,7 @@
EAPI="7"
# Patch version
FIREFOX_PATCHSET="firefox-78esr-patches-11.tar.xz"
FIREFOX_PATCHSET="firefox-78esr-patches-12.tar.xz"
SPIDERMONKEY_PATCHSET="spidermonkey-78-patches-03.tar.xz"
LLVM_MAX_SLOT=11

439
dev-lang/spidermonkey/spidermonkey-78.9.0.ebuild

@ -1,439 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
# Patch version
FIREFOX_PATCHSET="firefox-78esr-patches-10.tar.xz"
SPIDERMONKEY_PATCHSET="spidermonkey-78-patches-03.tar.xz"
LLVM_MAX_SLOT=11
PYTHON_COMPAT=( python3_{7..9} )
WANT_AUTOCONF="2.1"
inherit autotools check-reqs flag-o-matic llvm multiprocessing python-any-r1 toolchain-funcs
MY_PN="mozjs"
MY_PV="${PV/_pre*}" # Handle Gentoo pre-releases
MY_MAJOR=$(ver_cut 1)
MOZ_ESR=yes
MOZ_PV=${PV}
MOZ_PV_SUFFIX=
if [[ ${PV} =~ (_(alpha|beta|rc).*)$ ]] ; then
MOZ_PV_SUFFIX=${BASH_REMATCH[1]}
# Convert the ebuild version to the upstream Mozilla version
MOZ_PV="${MOZ_PV/_alpha/a}" # Handle alpha for SRC_URI
MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
MOZ_PV="${MOZ_PV%%_rc*}" # Handle rc for SRC_URI
fi
if [[ -n ${MOZ_ESR} ]] ; then
# ESR releases have slightly different version numbers
MOZ_PV="${MOZ_PV}esr"
fi
MOZ_PN="firefox"
MOZ_P="${MOZ_PN}-${MOZ_PV}"
MOZ_PV_DISTFILES="${MOZ_PV}${MOZ_PV_SUFFIX}"
MOZ_P_DISTFILES="${MOZ_PN}-${MOZ_PV_DISTFILES}"
MOZ_SRC_BASE_URI="https://archive.mozilla.org/pub/${MOZ_PN}/releases/${MOZ_PV}"
if [[ ${PV} == *_rc* ]] ; then
MOZ_SRC_BASE_URI="https://archive.mozilla.org/pub/${MOZ_PN}/candidates/${MOZ_PV}-candidates/build${PV##*_rc}"
fi
PATCH_URIS=(
https://dev.gentoo.org/~{whissi,polynomial-c,axs}/mozilla/patchsets/${FIREFOX_PATCHSET}
https://dev.gentoo.org/~{whissi,polynomial-c,axs}/mozilla/patchsets/${SPIDERMONKEY_PATCHSET}
)
SRC_URI="${MOZ_SRC_BASE_URI}/source/${MOZ_P}.source.tar.xz -> ${MOZ_P_DISTFILES}.source.tar.xz
${PATCH_URIS[@]}"
DESCRIPTION="SpiderMonkey is Mozilla's JavaScript engine written in C and C++"
HOMEPAGE="https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey"
KEYWORDS="amd64 arm arm64 ~mips ppc64 ~s390 x86"
SLOT="78"
LICENSE="MPL-2.0"
IUSE="clang cpu_flags_arm_neon debug +jit lto test"
RESTRICT="!test? ( test )"
BDEPEND="${PYTHON_DEPS}
>=virtual/rust-1.41.0
virtual/pkgconfig
|| (
(
sys-devel/llvm:11
clang? (
sys-devel/clang:11
lto? ( =sys-devel/lld-11* )
)
)
(
sys-devel/llvm:10
clang? (
sys-devel/clang:10
lto? ( =sys-devel/lld-10* )
)
)
)
lto? (
!clang? ( sys-devel/binutils[gold] )
)"
CDEPEND=">=dev-libs/icu-67.1:=
>=dev-libs/nspr-4.25
sys-libs/readline:0=
>=sys-libs/zlib-1.2.3"
DEPEND="${CDEPEND}
test? (
$(python_gen_any_dep 'dev-python/six[${PYTHON_USEDEP}]')
)"
RDEPEND="${CDEPEND}"
S="${WORKDIR}/firefox-${MY_PV}/js/src"
llvm_check_deps() {
if use clang ; then
if ! has_version -b "sys-devel/clang:${LLVM_SLOT}" ; then
ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use lto ; then
if ! has_version -b "=sys-devel/lld-${LLVM_SLOT}*" ; then
ewarn "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
fi
fi
einfo "Using LLVM slot ${LLVM_SLOT} to build" >&2
}
python_check_deps() {
if use test ; then
has_version "dev-python/six[${PYTHON_USEDEP}]"
fi
}
pkg_pretend() {
if use test ; then
CHECKREQS_DISK_BUILD="7600M"
else
CHECKREQS_DISK_BUILD="6400M"
fi
check-reqs_pkg_pretend
}
pkg_setup() {
if [[ ${MERGE_TYPE} != binary ]] ; then
if use test ; then
CHECKREQS_DISK_BUILD="7600M"
else
CHECKREQS_DISK_BUILD="6400M"
fi
check-reqs_pkg_setup
llvm_pkg_setup
if use clang && use lto ; then
local version_lld=$(ld.lld --version 2>/dev/null | awk '{ print $2 }')
[[ -n ${version_lld} ]] && version_lld=$(ver_cut 1 "${version_lld}")
[[ -z ${version_lld} ]] && die "Failed to read ld.lld version!"
# temp fix for https://bugs.gentoo.org/768543
# we can assume that rust 1.{49,50}.0 always uses llvm 11
local version_rust=$(rustc -Vv 2>/dev/null | grep -F -- 'release:' | awk '{ print $2 }')
[[ -n ${version_rust} ]] && version_rust=$(ver_cut 1-2 "${version_rust}")
[[ -z ${version_rust} ]] && die "Failed to read version from rustc!"
if ver_test "${version_rust}" -ge "1.49" && ver_test "${version_rust}" -le "1.50" ; then
local version_llvm_rust="11"
else
local version_llvm_rust=$(rustc -Vv 2>/dev/null | grep -F -- 'LLVM version:' | awk '{ print $3 }')
[[ -n ${version_llvm_rust} ]] && version_llvm_rust=$(ver_cut 1 "${version_llvm_rust}")
[[ -z ${version_llvm_rust} ]] && die "Failed to read used LLVM version from rustc!"
fi
if ver_test "${version_lld}" -ne "${version_llvm_rust}" ; then
eerror "Rust is using LLVM version ${version_llvm_rust} but ld.lld version belongs to LLVM version ${version_lld}."
eerror "You will be unable to link ${CATEGORY}/${PN}. To proceed you have the following options:"
eerror " - Manually switch rust version using 'eselect rust' to match used LLVM version"
eerror " - Switch to dev-lang/rust[system-llvm] which will guarantee matching version"
eerror " - Build ${CATEGORY}/${PN} without USE=lto"
die "LLVM version used by Rust (${version_llvm_rust}) does not match with ld.lld version (${version_lld})!"
fi
fi
python-any-r1_pkg_setup
# Build system is using /proc/self/oom_score_adj, bug #604394
addpredict /proc/self/oom_score_adj
if ! mountpoint -q /dev/shm ; then
# If /dev/shm is not available, configure is known to fail with
# a traceback report referencing /usr/lib/pythonN.N/multiprocessing/synchronize.py
ewarn "/dev/shm is not mounted -- expect build failures!"
fi
# Ensure we use C locale when building, bug #746215
export LC_ALL=C
fi
}
src_prepare() {
pushd ../.. &>/dev/null || die
use lto && rm -v "${WORKDIR}"/firefox-patches/*-LTO-Only-enable-LTO-*.patch
eapply "${WORKDIR}"/firefox-patches
eapply "${WORKDIR}"/spidermonkey-patches
default
# Make LTO respect MAKEOPTS
sed -i \
-e "s/multiprocessing.cpu_count()/$(makeopts_jobs)/" \
build/moz.configure/lto-pgo.configure \
|| die "sed failed to set num_cores"
# sed-in toolchain prefix
sed -i \
-e "s/objdump/${CHOST}-objdump/" \
python/mozbuild/mozbuild/configure/check_debug_ranges.py \
|| die "sed failed to set toolchain prefix"
einfo "Removing pre-built binaries ..."
find third_party -type f \( -name '*.so' -o -name '*.o' \) -print -delete || die
MOZJS_BUILDDIR="${WORKDIR}/build"
mkdir "${MOZJS_BUILDDIR}" || die
popd &>/dev/null || die
eautoconf
}
src_configure() {
# Show flags set at the beginning
einfo "Current CFLAGS: ${CFLAGS}"
einfo "Current CXXFLAGS: ${CXXFLAGS}"
einfo "Current LDFLAGS: ${LDFLAGS}"
einfo "Current RUSTFLAGS: ${RUSTFLAGS}"
local have_switched_compiler=
if use clang && ! tc-is-clang ; then
# Force clang
einfo "Enforcing the use of clang due to USE=clang ..."
have_switched_compiler=yes
AR=llvm-ar
CC=${CHOST}-clang
CXX=${CHOST}-clang++
NM=llvm-nm
RANLIB=llvm-ranlib
elif ! use clang && ! tc-is-gcc ; then
# Force gcc
have_switched_compiler=yes
einfo "Enforcing the use of gcc due to USE=-clang ..."
AR=gcc-ar
CC=${CHOST}-gcc
CXX=${CHOST}-g++
NM=gcc-nm
RANLIB=gcc-ranlib
fi
if [[ -n "${have_switched_compiler}" ]] ; then
# Because we switched active compiler we have to ensure
# that no unsupported flags are set
strip-unsupported-flags
fi
# Ensure we use correct toolchain
export HOST_CC="$(tc-getBUILD_CC)"
export HOST_CXX="$(tc-getBUILD_CXX)"
tc-export CC CXX LD AR NM OBJDUMP RANLIB PKG_CONFIG
cd "${MOZJS_BUILDDIR}" || die
# ../python/mach/mach/mixin/process.py fails to detect SHELL
export SHELL="${EPREFIX}/bin/bash"
local -a myeconfargs=(
--host="${CBUILD:-${CHOST}}"
--target="${CHOST}"
--disable-jemalloc
--disable-optimize
--disable-strip
--enable-readline
--enable-shared-js
--with-intl-api
--with-system-icu
--with-system-nspr
--with-system-zlib
--with-toolchain-prefix="${CHOST}-"
$(use_enable debug)
$(use_enable jit)
$(use_enable test tests)
)
if ! use x86 && [[ ${CHOST} != armv*h* ]] ; then
myeconfargs+=( --enable-rust-simd )
fi
# Modifications to better support ARM, bug 717344
if use cpu_flags_arm_neon ; then
myeconfargs+=( --with-fpu=neon )
if ! tc-is-clang ; then
# thumb options aren't supported when using clang, bug 666966
myeconfargs+=( --with-thumb=yes )
myeconfargs+=( --with-thumb-interwork=no )
fi
fi
# Tell build system that we want to use LTO
if use lto ; then
myeconfargs+=( --enable-lto )
if use clang ; then
myeconfargs+=( --enable-linker=lld )
else
myeconfargs+=( --enable-linker=gold )
fi
fi
# LTO flag was handled via configure
filter-flags '-flto*'
if tc-is-gcc ; then
if ver_test $(gcc-fullversion) -ge 10 ; then
einfo "Forcing -fno-tree-loop-vectorize to workaround GCC bug, see bug 758446 ..."
append-cxxflags -fno-tree-loop-vectorize
fi
fi
# Show flags we will use
einfo "Build CFLAGS: ${CFLAGS}"
einfo "Build CXXFLAGS: ${CXXFLAGS}"
einfo "Build LDFLAGS: ${LDFLAGS}"
einfo "Build RUSTFLAGS: ${RUSTFLAGS}"
# Forcing system-icu allows us to skip patching bundled ICU for PPC
# and other minor arches
ECONF_SOURCE="${S}" \
econf \
${myeconfargs[@]} \
XARGS="${EPREFIX}/usr/bin/xargs"
}
src_compile() {
cd "${MOZJS_BUILDDIR}" || die
default
}
src_test() {
if "${MOZJS_BUILDDIR}/js/src/js" -e 'print("Hello world!")'; then
einfo "Smoke-test successful, continuing with full test suite"
else
die "Smoke-test failed: did interpreter initialization fail?"